<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:s="http://jboss.org/schema/seam/taglib"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns:g="http://www.ihe.net/gazelle"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:gri="http://java.sun.com/jsf/composite/gri"
	xmlns:rich="http://richfaces.org/rich"
	xmlns:gdk="http://www.ihe.net/gazellecdk"
	xmlns="http://www.w3.org/1999/xhtml">
	<gri:panel rendered="#{pnrIHEManager.editXDSDocumentEntry}">
		<f:facet name="header">#{messages['net.ihe.gazelle.xdstar.XDSDocumentEntry']}</f:facet>
		<div class="form-horizontal">
			<s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
				<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.XDSDocumentEntryTitle']}</ui:define>
				<h:inputText value="#{pnrIHEManager.selectedXDSDocumentEntry.title}" styleClass="form-control">
					<a4j:ajax event="blur" render="treesubid" />
				</h:inputText>
			</s:decorate>

		<s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
			<ui:define name="label">#{messages['net.ihe.gazelle.xdstar.MimeType']}</ui:define>
			<h:inputText
				value="#{pnrIHEManager.selectedXDSDocumentEntry.mimeType}" styleClass="form-control" />
		</s:decorate>
		</div>
		<s:div id="metadatass">
			<f:subview id="subview_1">
				<ui:include src="/provide_register/pnr_docEntry_table.xhtml" />
			</f:subview>
			<br />
			<br />
			<a4j:commandButton styleClass="gzl-btn-blue"
				value="#{messages['net.ihe.gazelle.xdstar.RandomFulfil']}"
				actionListener="#{pnrIHEManager.randomFulFilDocEntryMetadata()}"
				render="metadata_id" />
			<a4j:commandButton styleClass="gzl-btn-green"
				value="#{messages['net.ihe.gazelle.xdstar.AddOptionalMetadata']}"
				rendered="#{pnrIHEManager.listOptionalMetadata.size() &gt; 0}"
				actionListener="#{pnrIHEManager.initListOptionalMetadata()}"
				oncomplete="jq162('#AddOptionalMetadata').modal('show');"
				render="AddOptionalMetadataForm,AddOptionalMetadatadec" />
		</s:div>
		<br />
	</gri:panel>
</ui:composition>
